Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor:

## Public Member Functions
| __construct ($temporaryDirectory, RouterInterface $router, array $variations)
| preProcessValueHash ($incomingValueHash)
  | {{Perform manipulations on a received $incomingValueHash.This method is called by the REST input parsers to allow a field type to pre process the given $incomingValueHash before it is handled by (). The $incomingValueHash can be expected to conform to the rules that need to apply to hashes accepted by fromHash(). The return value of this method replaces the $incomingValueHash. See also \eZ\Publish\Core\REST\Common\Input\FieldTypeParser Parameters
  mixed | $incomingValueHash |
Returns mixed Pre processed hash }} More...
| postProcessValueHash ($outgoingValueHash)
  | {Perform manipulations on an a generated $outgoingValueHash.This method is called by the REST output visitors to allow a field type to post process the given $outgoingValueHash, which was previously generated using (), before it is sent to the client. The return value of this method replaces $outgoingValueHash and must obey to the same rules as the original $outgoingValueHash. See also \eZ\Publish\Core\REST\Common\Output\FieldTypeSerializer Parameters
  mixed | $outgoingValueHash |
Returns mixed Post processed hash } More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\FieldTypeProcessor\BinaryInputProcessor
| __construct ($temporaryDirectory)
Public Member Functions inherited from eZ\Publish\Core\REST\Common\FieldTypeProcessor
| preProcessFieldSettingsHash ($incomingSettingsHash)
| Perform manipulations on a received $incomingSettingsHash. More...
| postProcessFieldSettingsHash ($outgoingSettingsHash)
| Perform manipulations on a received $outgoingSettingsHash. More...
| preProcessValidatorConfigurationHash ($incomingValidatorConfigurationHash)
| Perform manipulations on a received $incomingValidatorConfigurationHash. More...
| postProcessValidatorConfigurationHash ($outgoingValidatorConfigurationHash)
| Perform manipulations on a received $outgoingValidatorConfigurationHash. More...

## Protected Member Functions
| generateUrl ($path, $variation)
| Generates a URL for $path in $variation. More...

## Protected Attributes
| $urlTemplate
| $variations
| $router
Protected Attributes inherited from eZ\Publish\Core\REST\Common\FieldTypeProcessor\BinaryInputProcessor
| $temporaryDirectory

## Detailed Description

Definition at line 11 of file ImageProcessor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor::__construct | ( |  | $temporaryDirectory,
|  | RouterInterface | $router,
|  | array | $variations
| ) |  |

Parameters

  string | $temporaryDirectory |
  \Symfony\Component\Routing\RouterInterface | $router |
  array | $variations | array of variations identifiers

Definition at line 39 of file ImageProcessor.php.

References eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor\$router, eZ\Publish\Core\REST\Common\FieldTypeProcessor\BinaryInputProcessor\$temporaryDirectory, and eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor\$variations.

## Member Function Documentation

## ◆ generateUrl()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor::generateUrl | ( |  | $path,
|  |  | $variation
| ) |  |
| protected

Generates a URL for $path in $variation.

Parameters

  string | $path |
  string | $variation |

Returns
  string

Definition at line 88 of file ImageProcessor.php.

## ◆ postProcessValueHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor::postProcessValueHash | ( |  | $outgoingValueHash | ) |

{Perform manipulations on an a generated $outgoingValueHash.This method is called by the REST output visitors to allow a field type to post process the given $outgoingValueHash, which was previously generated using (), before it is sent to the client. The return value of this method replaces $outgoingValueHash and must obey to the same rules as the original $outgoingValueHash.

See also
  \eZ\Publish\Core\REST\Common\Output\FieldTypeSerializer

Parameters

  mixed | $outgoingValueHash |

Returns
  mixed Post processed hash

}

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor.

Definition at line 58 of file ImageProcessor.php.

## ◆ preProcessValueHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor::preProcessValueHash | ( |  | $incomingValueHash | ) |

{{Perform manipulations on a received $incomingValueHash.This method is called by the REST input parsers to allow a field type to pre process the given $incomingValueHash before it is handled by (). The $incomingValueHash can be expected to conform to the rules that need to apply to hashes accepted by fromHash(). The return value of this method replaces the $incomingValueHash.

See also
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser

Parameters

  mixed | $incomingValueHash |

Returns
  mixed Pre processed hash

}}

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor\BinaryInputProcessor.

Definition at line 46 of file ImageProcessor.php.

## Member Data Documentation

## ◆ $router

eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor::$router
| protected

Definition at line 32 of file ImageProcessor.php.

Referenced by eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor\__construct().

## ◆ $urlTemplate

eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor::$urlTemplate
| protected

Definition at line 18 of file ImageProcessor.php.

## ◆ $variations

eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor::$variations
| protected

Definition at line 29 of file ImageProcessor.php.

Referenced by eZ\Publish\Core\REST\Common\FieldTypeProcessor\ImageProcessor\__construct().

The documentation for this class was generated from the following file:

- ImageProcessor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.